Bug 1362001 - [z-stream clone - 3.6.9] RunVm endAction throws NPE when starting VM from Pool
Summary: [z-stream clone - 3.6.9] RunVm endAction throws NPE when starting VM from Pool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.5
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ovirt-3.6.9
: ---
Assignee: Liron Aravot
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard:
Depends On: 1357361
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-01 06:52 UTC by rhev-integ
Modified: 2019-12-16 06:15 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1357361
Environment:
Last Closed: 2016-09-21 18:05:44 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1929 normal SHIPPED_LIVE Moderate: Red Hat Virtualization Manager (RHV) bug fix 3.6.9 2016-09-21 21:57:10 UTC
oVirt gerrit 61315 master ABANDONED core: CreateAllSnapshotsFromVm - CreateAllCinderSnapshots execution 2016-08-01 06:52:50 UTC
oVirt gerrit 61316 ovirt-engine-3.6 MERGED core: CreateAllSnapshotsFromVm - CreateAllCinderSnapshots execution 2016-08-01 06:52:50 UTC

Comment 2 Kevin Alon Goldblatt 2016-08-30 14:50:20 UTC
Tested with the following code:
----------------------------------------
rhevm-3.6.9-0.1.el6.noarch
vdsm-4.17.34-1.el7ev.noarch


Tested with the following scenario:


Steps to Reproduce:
1. Create a VM Pool of a few VMs from a template with a disk
2. Create a User with permissions to the pool
3. Access the User Portal as the newly created user
4. Start a VM from the pool >>>>> The vm is started successfully and no NPEs are thrown

Actual results:
The vm is started successfully and no NPEs are thrown


Moving to VERIFIED!

Comment 4 errata-xmlrpc 2016-09-21 18:05:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1929.html


Note You need to log in before you can comment on or make changes to this bug.